Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Interface XMLDomainInterface

All Known Implementing Classes:
  Array, Struct, BlobDomain

public interface XMLDomainInterface

Implemented by domain classes which can read and write domain values as XML.

Since:
  JDevloper 4.0

Method Summary
`org.w3c.dom.Node` | `getXMLContentNode(org.w3c.dom.Document xmlDoc)` Creates the XML node in the given XML document for this domain's data.
`java.lang.String` | `printXMLDefinition(java.util.Hashtable allDefs, java.io.PrintWriter pw, boolean bContainees)` Prints the DTD info for this domain in the given print writer.

Method Detail

### getXMLContentNode

    public org.w3c.dom.Node getXMLContentNode(org.w3c.dom.Document xmlDoc)

  Creates the XML node in the given XML document for this domain's data.

  Parameters:
    `xmlDoc` - name of the XML document in which the node should be created.

### printXMLDefinition

    public java.lang.String printXMLDefinition(java.util.Hashtable allDefs,
                                               java.io.PrintWriter pw,
                                               boolean bContainees)

  Prints the DTD info for this domain in the given print writer. Returns the DTD string to be added to this domain's container entity/domain.

  The `allDefs` hashtable contains predefined XML definitions and is passed by whatever calls this method.

  Parameters:
    `allDefs` - a hashtable of predefined XML definitions passed from whatever calls this method.
    `pw` - print writer into which the defnition is being printed.
    `bContainees` - if `true`, prints definitions of contained objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD